### Interface

# PeasGtk Configurable

#### Description [src]

    interface PeasGtk.Configurable : GObject.Object

Interface for configurable plugins.

#### Prerequisite

In order to implement Configurable, your type must inherit from`GObject`.

#### Instance methods

###### peas_gtk_configurable_create_configure_widget

Creates the configure widget for the plugin.

#### Interface structure

    struct PeasGtkConfigurableInterface {
      GTypeInterface g_iface;
      GtkWidget* (* create_configure_widget) (
        PeasGtkConfigurable* configurable
      );

    }

Provides an interface for configurable plugins.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.
`create_configure_widget` |
    GtkWidget* (* create_configure_widget) (
        PeasGtkConfigurable* configurable
      )
| Creates the configure widget for the plugin.

#### Virtual methods

###### PeasGtk.Configurable.create_configure_widget

Creates the configure widget for the plugin.